// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
// #  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

vector<vector<map<int, string>>> dp(5);

void solve() {
	vector<int> p10 = {1};
	for (int i = 0; i < 6; ++i) {
		p10.push_back(p10.back() * 10);
	}
	for (int l = 1; l <= 4; ++l) {
		dp[l - 1].resize(p10[l]);
		cerr << l << endl;
		for (int i = 0; i < p10[l]; ++i) {
			if (i % 1000 == 0) {
				cerr << i << endl;
			}
			auto& cur = dp[l - 1][i];
			if (l == 1 || i >= p10[l - 1]) {
				// dp[l - 1][i].push_back({i, to_string(i)});
				cur[i] = to_string(i);
			}
			for (int left = 1; left < l; ++left) {
				int left_part = i / p10[l - left];
				int right_part = i % p10[l - left];
				for (auto& pl : dp[left - 1][left_part]) {
					for (auto& pr : dp[l - left - 1][right_part]) {
						if (!cur.count(pl.ff + pr.ff)) {
							cur[pl.ff + pr.ff] = "(" + pl.ss + "+" + pr.ss + ")";
						}
						if (!cur.count(pl.ff - pr.ff)) {
							cur[pl.ff - pr.ff] = "(" + pl.ss + "-" + pr.ss + ")";
						}
						if (!cur.count(pl.ff * pr.ff)) {
							cur[pl.ff * pr.ff] = "(" + pl.ss + "*" + pr.ss + ")";
						}
						if (pr.ff != 0 && pl.ff % pr.ff == 0 && !cur.count(pl.ff / pr.ff)) {
							cur[pl.ff / pr.ff] = "(" + pl.ss + "/" + pr.ss + ")";
						}
					}
				}
			}
		}
	}

	vector<string> ans(p10[6]);

	for (int i = 0; i < p10[6]; ++i) {
		bool found = false;
		for (int left = 2; left <= 4; ++left) {
			int left_part = i / p10[6 - left];
			int right_part = i % p10[6 - left];
			auto& left_arr = dp[left - 1][left_part];
			auto& right_arr = dp[6 - left - 1][right_part];
			if (szof(left_arr) < szof(right_arr)) {
				for (auto& pl : left_arr) {
					// a + b = 100
					// b = 100 - a
					int need = 100 - pl.ff;
					if (right_arr.count(need)) {
						ans[i] = pl.ss + "+" + right_arr[need];
						found = true;
						break;
					}

					// a - b = 100
					// b = a - 100
					need = pl.ff - 100;
					if (right_arr.count(need)) {
						ans[i] = pl.ss + "-" + right_arr[need];
						found = true;
						break;
					}

					// a * b = 100
					// b = 100 / a
					if (pl.ff != 0 && 100 % pl.ff == 0) {
						need = 100 / pl.ff;
						if (right_arr.count(need)) {
							ans[i] = pl.ss + "*" + right_arr[need];
							found = true;
							break;
						}
					}

					// a / b = 100
					// b = a / 100
					if (pl.ff != 0 && pl.ff % 100 == 0) {
						need = pl.ff / 100;
						if (right_arr.count(need)) {
							ans[i] = pl.ss + "/" + right_arr[need];
							found = true;
							break;
						}
					}
				}
			} else {
				for (auto& pr : right_arr) {
					// a + b = 100
					// a = 100 - b
					int need = 100 - pr.ff;
					if (left_arr.count(need)) {
						ans[i] = left_arr[need] + "+" + pr.ss;
						found = true;
						break;
					}

					// a - b = 100
					// a = 100 + b
					need = 100 + pr.ff;
					if (left_arr.count(need)) {
						ans[i] = left_arr[need] + "-" + pr.ss;
						found = true;
						break;
					}

					// a * b = 100
					// a = 100 / b
					if (pr.ff != 0 && 100 % pr.ff == 0) {
						need = 100 / pr.ff;
						if (left_arr.count(need)) {
							ans[i] = left_arr[need] + "*" + pr.ss;
							found = true;
							break;
						}
					}

					// a / b = 100
					// a = 100 * b
					if (pr.ff != 0) {
						need = pr.ff * 100;
						if (left_arr.count(need)) {
							ans[i] = left_arr[need] + "/" + pr.ss;
							found = true;
							break;
						}
					}
				}
			}
			if (found) {
				break;
			}
		}
	}

	string s;
	while (cin >> s) {
		int cur = stoi(s);
		if (szof(ans[cur])) {
			cout << ans[cur] << "\n";
		} else {
			cout << "No solution\n";
		}
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}

#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}