#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);

    unsigned int n = atoi(argv[1]), m = atoi(argv[2]), k = atoi(argv[3]);
    unsigned int sim = atoi(argv[4]);
    int threshold = rnd.next(10, 999999990);

    vector<int> data(n, rnd.next(threshold + 1, 1000000000));
    for (unsigned int i = sim; i < n; i++) {
        if (i < k) {
            if (rnd.next(2)) {
                data[i] = rnd.next(threshold + 1, 1000000000);
            } else {
                data[i] = data[i - 1];
            }
        } else {
            data[i] = rnd.next(0, threshold);
        }
    }
    shuffle(data.begin(), data.end());

    cout << n << ' ' << m << ' ' << k << '\n';
    for (unsigned int i = 0; i < n; i++) {
        if (i > 0) {
            cout << ' ';
        }
        cout << data[i];
    }
    cout << '\n';

}