#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    unsigned int n, m, k;
    cin >> n >> m >> k;
    vector<pair<unsigned int, int>> data(n);
    for (unsigned int i = 0; i < n; i++) {
        cin >> data[i].second;
        data[i].first = i + 1;
    }

    sort(data.begin(), data.end(),
         [](pair<unsigned int, int> const &p1, pair<unsigned int, int> const &p2) {
             return p1.second > p2.second;
         });

    unsigned int last = 0, max = 0;
    while (last < data.size() && (last < k || data[last].second == data[0].second) && last < m) {
        cout << data[last].first << ' ';
        if (data[last].second == data[0].second) {
            max = last;
        }
        last++;
    }
    max++;
    unsigned int residual = m - last;
    unsigned int common = residual / max, first = residual % max;
    for (unsigned int i = 0; i < max; i++) {
        for (unsigned int cnt = 0; cnt < common + (i < first); cnt++) {
            cout << data[i].first << ' ';
        }
    }
    cout << '\n';

}