// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = atoi(argv[1]);
	int l = atoi(argv[2]);

	assert(n <= l + 1);

	cout << n << " " << l << "\n";

	if (n * 2 < l) {
		set<int> have;
		while (szof(have) < n) {
			have.insert(rnd.next(0, l));
		}

		vector<int> outp(have.begin(), have.end());
		shuffle(outp.begin(), outp.end());
		for (int i = 0; i < n; ++i) {
			cout << outp[i];
			if (i < n - 1) {
				cout << " ";
			}
		}
		cout << "\n";
	} else {
		vector<int> all(l + 1);
		iota(all.begin(), all.end(), 0);
		shuffle(all.begin(), all.end());
		all.resize(n);
		for (int i = 0; i < n; ++i) {
			cout << all[i];
			if (i < n - 1) {
				cout << " ";
			}
		}
		cout << "\n";
	}

	return 0;
}