#include <cmath>
#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <set>
#include <map>
#include <list>
#include <time.h>
#include <math.h>
#include <random>
#include <deque>
#include <queue>
#include <cassert>
#include <unordered_map>
#include <unordered_set>
#include <iomanip>
#include <bitset>
#include <sstream>
#include <chrono>
#include <cstring>

using namespace std;

typedef long long ll;

#ifdef iq
  mt19937 rnd(228);
#else
  mt19937 rnd(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif

int main() {
#ifdef iq
  freopen("a.in", "r", stdin);
#endif
  ios::sync_with_stdio(0);
  cin.tie(0);
  int n;
  int len;
  cin >> n >> len;
  vector <int> a(n);
  for (int &x : a) cin >> x;
  sort(a.begin(), a.end());
  auto f = [&] (double t) {
    double l = 0;
    for (int i = 0; i < n; i++) {
      if (a[i] - l > t) {
        return false;
      }
      double nxt = (i == n - 1 ? len : a[i + 1]);
      l = min(nxt, l + t);
    }
    if (l < len - 1e-9) {
      return false;
    }
    return true;
  };
  double l = 0, r = len;
  int it = 100;
  while (it--) {
    double m = (l + r) / 2;
    if (f(m)) {
      r = m;
    } else {
      l = m;
    }
  }
  cout.precision(20);
  cout << r << endl;
}
